Package fr.gouv.vitam.common.logging

# Class LogbackLoggerFactory

java.lang.Object
fr.gouv.vitam.common.logging.VitamLoggerFactory
fr.gouv.vitam.common.logging.LogbackLoggerFactory

public final class LogbackLoggerFactory extends VitamLoggerFactory
logger factory using SLF4J from Logback

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.logging.VitamLoggerFactory

  `currentLevel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogbackLoggerFactory(VitamLogLevel level)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected VitamLogLevel`
  `getLevelSpecific()`
  `VitamLogger`
  `newInstance(String name)`
  Creates a new logger instance with the specified name.
  `protected void`
  `seLevelSpecific(VitamLogLevel level)`
  Set the level for the specific implementation

  ### Methods inherited from class fr.gouv.vitam.common.logging.VitamLoggerFactory

  `getDefaultFactory, getInstance, getInstance, getLogLevel, setDefaultFactory, setInternalLogLevel, setLogLevel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LogbackLoggerFactory

    public LogbackLoggerFactory(VitamLogLevel level)
    Parameters:
      `level` - the vitam log level

- ## Method Details

  - ### seLevelSpecific

    protected void seLevelSpecific(VitamLogLevel level)
    Description copied from class: `VitamLoggerFactory`
    Set the level for the specific implementation
    Specified by:
      `seLevelSpecific` in class `VitamLoggerFactory`
    Parameters:
      `level` -

  - ### newInstance

    public VitamLogger newInstance(String name)
    Description copied from class: `VitamLoggerFactory`
    Creates a new logger instance with the specified name.
    Specified by:
      `newInstance` in class `VitamLoggerFactory`

  - ### getLevelSpecific

    protected VitamLogLevel getLevelSpecific()
    Specified by:
      `getLevelSpecific` in class `VitamLoggerFactory`
    Returns:
      should return the current Level for the specific implementation